/*
 * CampoMenoraUnaFecha.java
 *
 * Created on 22 de marzo de 2007, 11:28 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */
package com.fidufosyga.rules;

import java.text.SimpleDateFormat;
import java.util.Date;

import com.fidufosyga.rules.util.ValidarFecha;
import java.util.Calendar;


/**
 *
 * @author Julian
 */
public class FechaDependienteNoMayorMes extends AbstractRule {

    String DATE_FORMAT = "dd/MM/yyyy";

    SimpleDateFormat sdf;

    //Create object of SimpleDateFormat and pass the desired date format;
    /**
     * Creates a new instance of CampoVacio
     */
    public FechaDependienteNoMayorMes() {
        sdf = new SimpleDateFormat(DATE_FORMAT);
        sdf.setLenient(false);
    }

    public boolean performValidation(String field, String registro[],
            String nombreArchivo) {
        
        String campoDependiente = (String) getParams()[0];
        String campoDependiente2 = (String) getParams()[2];
        
        int int_campoDependiente = Integer.parseInt(campoDependiente);
        int int_campoDependiente2 = Integer.parseInt(campoDependiente2);
       
        
        String  valor =  (String) getParams()[1];
        String  valor2 =  (String) getParams()[3];
        
        
//        Calendar calFin = Calendar.getInstance();
//        Date fechamaxima =   calFin.getTime();
//        int dia =   calFin.getActualMaximum(Calendar.DAY_OF_MONTH);
//        fechamaxima.setDate(dia);
//    
        
        if ((registro[int_campoDependiente].equals(valor)) && (registro[int_campoDependiente2].equals(valor2)))
        
        {

            if (field.length() == 0) {
                return true;
            }

            if (field.length() != 10) {
                return false;
            }

            if (!ValidarFecha.esFecha(field)) {
                return false;
            }
            else {            /* Temporalmente no se debe validar si la fecha es menor al ultimo dia del mes 
                Date dateCampo = null;
                Date dateOtra = null;
                try {
                    dateCampo = sdf.parse(field);
                // dateOtra = sdf.parse(fechamaxima);
                } catch (Exception e) {
                    return false;
                }

                if (dateCampo.after(fechamaxima)) {
                    return true;
                }
            */
            return false;
            }


        } else {
            return false;
        }
    }
}
